Skip to main content
GET
/
v1
/
users
Get all users
curl --request GET \
  --url https://dev.flextell.ai/api/v1/users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "email": "<string>",
      "title": "<string>",
      "phone": "<string>",
      "emergency_contact_name": "<string>",
      "emergency_contact_surname": "<string>",
      "emergency_contact_phone_number": "<string>",
      "blood_group": "<string>",
      "language": [
        "<unknown>"
      ],
      "avatar_url": "<string>",
      "is_active": true,
      "bio": "<string>",
      "last_login_at": "2023-11-07T05:31:56Z",
      "last_login_ip": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "roles": [
        {
          "id": 123,
          "name": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
per_page
integer | null

The number of users per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

Sort by a field.

Available options:
name,
email,
created_at,
updated_at,
last_login_at
sort_order
enum<string> | null

Sort order.

Available options:
asc,
desc
is_active
boolean | null

Filter by active status.

role
string | null

Filter by role name.

trashed
boolean | null

Filter by trashed status.

Response

Array of UserResource

data
UserResource · object[]
required